Page MenuHomePhabricator

[lldb-vscode] Add missing launchCommands entry in the package.json
ClosedPublic

Authored by wallace on Mar 20 2020, 2:37 PM.

Details

Summary

https://reviews.llvm.org/D65363 introduced the launchCommands argument. However, it did not add
a corresponding definition in the package.json

Diff Detail

Event Timeline

wallace created this revision.Mar 20 2020, 2:37 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 20 2020, 2:37 PM
clayborg requested changes to this revision.Mar 20 2020, 5:09 PM
clayborg added inline comments.
lldb/tools/lldb-vscode/package.json
145

This needs a better description that is more akin to the "attachCommands". Maybe something like:

Custom commands that are executed instead of launching a process. A target will be created with the launch arguments prior to executing these commands. The commands may optionally create a new target and must perform a launch. A valid process must exist after these commands complete or the \"launch\" will fail.
This revision now requires changes to proceed.Mar 20 2020, 5:09 PM
This revision was not accepted when it landed; it landed in state Needs Revision.Mar 20 2020, 7:00 PM
Closed by commit rGa8c22ba41629: [lldb-vscode] Add missing launchCommands entry in the package.json (authored by Walter Erquinigo <waltermelon@fb.com>). · Explain Why
This revision was automatically updated to reflect the committed changes.
wallace reopened this revision.Mar 20 2020, 7:28 PM

I pushed this by mistake, but I've just reverted the commit.

wallace updated this revision to Diff 252150.Mar 23 2020, 3:01 PM

Use clayborg's wording. Thanks, milord.

wallace marked an inline comment as done.Mar 23 2020, 3:02 PM
clayborg accepted this revision.Mar 23 2020, 7:03 PM
This revision is now accepted and ready to land.Mar 23 2020, 7:03 PM
wallace closed this revision.Mar 24 2020, 12:16 PM